package pl.edu.agh.kis.eis.ndl

import scala.util.{Success, Try}

case class MonoFact[A](values: A*) {
  def arity: Int = values.size

  def matchesConstants(mappings: Map[Int, A]): Boolean = mappings.forall { case (index, constant) =>
    Try(values.apply(index)) == Success(constant) // FIXME Seq is inefficient repr (multiple scans)
  }
}
